/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.html.normalizer.message;

/**
 * blancoHtmlNormalizer のメッセージ。
 */
public class BlancoHtmlNormalizerMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoHtmlNormalizerMessageResourceBundle fBundle = new BlancoHtmlNormalizerMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoHtmlNormalizer]、キー[MBHTNI01]の文字列を取得します。
     *
     * No.2:
     * 文字列[指定された sourcedir [{0}] は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbhtni01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbhtni01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBHTNI01] " + fBundle.getMbhtni01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoHtmlNormalizer]、キー[MBHTNI02]の文字列を取得します。
     *
     * No.3:
     * 文字列[指定された sourcedir [{0}] はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbhtni02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbhtni02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBHTNI02] " + fBundle.getMbhtni02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoHtmlNormalizer]、キー[MBHTNI03]の文字列を取得します。
     *
     * No.4:
     * 文字列[指定された targetdir [{0}] が存在しなかったので作成しようとしましたが失敗しました。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbhtni03(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbhtni03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBHTNI03] " + fBundle.getMbhtni03(arg0);
    }

    /**
     * メッセージ定義ID[BlancoHtmlNormalizer]、キー[MBHTNI04]の文字列を取得します。
     *
     * No.5:
     * 文字列[指定された targetdir [{0}] はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbhtni04(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbhtni04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBHTNI04] " + fBundle.getMbhtni04(arg0);
    }

    /**
     * メッセージ定義ID[BlancoHtmlNormalizer]、キー[MBHTNI05]の文字列を取得します。
     *
     * No.6:
     * 文字列[指定された sourcedir [{0}] と targetdir [{1}] は同じディレクトリです。同じディレクトリを指定することはできません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbhtni05(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbhtni05]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbhtni05]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBHTNI05] " + fBundle.getMbhtni05(arg0, arg1);
    }
}
